package uulm.teamname.marvelous.gamelibrary.json.config;

import com.fasterxml.jackson.annotation.JsonProperty;

/**
 * Represents properties of a character in the {@link CharacterConfig}.
 */
public class CharacterProperties {
    public String name;
    public int HP;
    public int MP;
    public int AP;
    public int meleeDamage;
    @JsonProperty("rangeCombatDamage")
    public int rangedDamage;
    @JsonProperty("rangeCombatReach")
    public int attackRange;
}
